Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:38 2009

## Asterisk developer's documentation

# feature_pvt Struct Reference

Collaboration diagram for feature_pvt:

[legend]

## Data Fields

char | dest [AST_MAX_EXTENSION]
ast_mutex_t | lock
struct feature_pvt * | next
struct ast_channel * | owner
struct ast_channel * | subchan
struct feature_sub | subs [3]
char | tech [AST_MAX_EXTENSION]

## Detailed Description

Definition at line 83 of file chan_features.c.

## Field Documentation

char dest[AST_MAX_EXTENSION]

Definition at line 86 of file chan_features.c.

Referenced by features_alloc(), features_new(), and features_show().

ast_mutex_t lock

Definition at line 84 of file chan_features.c.

Referenced by features_alloc(), features_answer(), features_call(), features_digit(), features_fixup(), features_hangup(), features_indicate(), features_read(), features_show(), and features_write().

struct feature_pvt* next`[read]`

Definition at line 90 of file chan_features.c.

Referenced by features_alloc(), features_hangup(), features_show(), and unload_module().

struct ast_channel* owner`[read]`

Definition at line 89 of file chan_features.c.

Referenced by features_call(), features_fixup(), features_new(), features_show(), and unload_module().

struct ast_channel* subchan`[read]`

Definition at line 87 of file chan_features.c.

Referenced by features_alloc(), features_answer(), features_call(), features_digit(), features_hangup(), features_indicate(), features_new(), features_read(), features_write(), and update_features().

struct feature_sub subs[3]`[read]`

Definition at line 88 of file chan_features.c.

Referenced by features_alloc(), features_fixup(), features_hangup(), features_new(), features_request(), indexof(), restore_channel(), and update_features().

char tech[AST_MAX_EXTENSION]

Definition at line 85 of file chan_features.c.

Referenced by features_alloc(), features_new(), and features_show().

The documentation for this struct was generated from the following file:

- chan_features.c